/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.action;

import org.postgresforest.tool.bean.TableInfo;
import org.postgresforest.tool.db.GSCdata;

/**
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ: ウィンドウ - 設定 - Java - コード・スタイル -
 * コード・テンプレート
 */
public class ChangePriority extends ActionBase {
	/**
	 * @param gsc
	 */
	public ChangePriority(GSCdata gsc) {
		super(gsc);
	}
	
	public boolean execute(String dbName, TableInfo tableInfo)  {

		
		try {
			//データベースへ接続
			if (!connect(m_gsc)) {
				return false;
			}

			//--------------
			// GSCへ優先順を設定
			//--------------
			if (!m_gsc.setPriority(dbName, tableInfo.getName(), tableInfo.getServer())) {
				m_gsc.rollback();
				return false;
			}

			//----------------
			//GSC更新日時更新
			//----------------
			if (!m_gsc.updateConfigDate()) {
				m_gsc.rollback();
				return false;
			}
			
			
			m_gsc.commit();
		} finally {
			m_gsc.close();
			if( m_gsc.isErrInfo() ){
				setAccessErrs(m_gsc);
				return false;
			}
		}
		
		
		return true;
	}

}